Index: doc/html/doxygen.css
===================================================================
--- doc/html/doxygen.css (revision 3)
+++ doc/html/doxygen.css (revision 91)
@@ -3,17 +3,19 @@
 }
 BODY,TD {
-       font-size: 90%;
+	font-size: 90%;
 }
 H1 {
 	text-align: center;
-       font-size: 160%;
+	font-size: 160%;
 }
 H2 {
-       font-size: 120%;
+	font-size: 120%;
 }
 H3 {
-       font-size: 100%;
-}
-CAPTION { font-weight: bold }
+	font-size: 100%;
+}
+CAPTION { 
+	font-weight: bold 
+}
 DIV.qindex {
 	width: 100%;
@@ -25,5 +27,5 @@
 	line-height: 140%;
 }
-DIV.nav {
+DIV.navpath {
 	width: 100%;
 	background-color: #e8eef2;
@@ -71,13 +73,41 @@
 	color: #ffffff;
 }
-A.qindexHL:visited { text-decoration: none; background-color: #6666cc; color: #ffffff }
-A.el { text-decoration: none; font-weight: bold }
-A.elRef { font-weight: bold }
-A.code:link { text-decoration: none; font-weight: normal; color: #0000FF}
-A.code:visited { text-decoration: none; font-weight: normal; color: #0000FF}
-A.codeRef:link { font-weight: normal; color: #0000FF}
-A.codeRef:visited { font-weight: normal; color: #0000FF}
-A:hover { text-decoration: none; background-color: #f2f2ff }
-DL.el { margin-left: -1cm }
+A.qindexHL:visited { 
+	text-decoration: none; 
+	background-color: #6666cc; 
+	color: #ffffff 
+}
+A.el { 
+	text-decoration: none; 
+	font-weight: bold 
+}
+A.elRef { 
+	font-weight: bold 
+}
+A.code:link { 
+	text-decoration: none; 
+	font-weight: normal; 
+	color: #0000FF
+}
+A.code:visited { 
+	text-decoration: none; 
+	font-weight: normal; 
+	color: #0000FF
+}
+A.codeRef:link { 
+	font-weight: normal; 
+	color: #0000FF
+}
+A.codeRef:visited { 
+	font-weight: normal; 
+	color: #0000FF
+}
+A:hover { 
+	text-decoration: none; 	
+	background-color: #f2f2ff 
+}
+DL.el { 
+	margin-left: -1cm 
+}
 .fragment {
        font-family: monospace, fixed;
@@ -96,5 +126,11 @@
 	padding-bottom: 4px;
 }
-DIV.ah { background-color: black; font-weight: bold; color: #ffffff; margin-bottom: 3px; margin-top: 3px }
+DIV.ah { 
+	background-color: black; 
+	font-weight: bold; 
+	color: #ffffff; 
+	margin-bottom: 3px; 
+	margin-top: 3px 
+}
 
 DIV.groupHeader {
@@ -104,5 +140,9 @@
        font-weight: bold;
 }
-DIV.groupText { margin-left: 16px; font-style: italic; font-size: 90% }
+DIV.groupText { 
+	margin-left: 16px; 
+	font-style: italic; 
+	font-size: 90% 
+}
 BODY {
 	background: white;
@@ -138,9 +178,14 @@
 }
 TR.memlist {
-   background-color: #f0f0f0; 
-}
-P.formulaDsp { text-align: center; }
-IMG.formulaDsp { }
-IMG.formulaInl { vertical-align: middle; }
+	background-color: #f0f0f0; 
+}
+P.formulaDsp { 
+	text-align: center; 
+}
+IMG.formulaDsp {
+}
+IMG.formulaInl { 
+	vertical-align: middle; 
+}
 SPAN.keyword       { color: #008000 }
 SPAN.keywordtype   { color: #604020 }
@@ -150,6 +195,11 @@
 SPAN.stringliteral { color: #002080 }
 SPAN.charliteral   { color: #008080 }
+SPAN.vhdldigit     { color: #ff00ff }
+SPAN.vhdlchar      { color: #000000 }
+SPAN.vhdlkeyword   { color: #700070 }
+SPAN.vhdllogic     { color: #ff0000 }
+
 .mdescLeft {
-       padding: 0px 8px 4px 8px;
+	padding: 0px 8px 4px 8px;
 	font-size: 80%;
 	font-style: italic;
@@ -162,5 +212,5 @@
 }
 .mdescRight {
-       padding: 0px 8px 4px 8px;
+        padding: 0px 8px 4px 8px;
 	font-size: 80%;
 	font-style: italic;
@@ -259,21 +309,24 @@
 	border-bottom-style: none;
 	border-left-style: none;
-       color: #606060;
-	background-color: #FAFAFA;
-	font-size: 80%;
-}
-.search     { color: #003399;
-              font-weight: bold;
+	color: #606060;
+	background-color: #FAFAFA;
+	font-size: 80%;
+}
+.search { 
+	color: #003399;
+	font-weight: bold;
 }
 FORM.search {
-              margin-bottom: 0px;
-              margin-top: 0px;
-}
-INPUT.search { font-size: 75%;
-               color: #000080;
-               font-weight: normal;
-               background-color: #e8eef2;
-}
-TD.tiny      { font-size: 75%;
+	margin-bottom: 0px;
+	margin-top: 0px;
+}
+INPUT.search { 
+	font-size: 75%;
+	color: #000080;
+	font-weight: normal;
+	background-color: #e8eef2;
+}
+TD.tiny { 
+	font-size: 75%;
 }
 a {
@@ -283,64 +336,68 @@
 	color: #2A3798;
 }
-.dirtab { padding: 4px;
-          border-collapse: collapse;
-          border: 1px solid #84b0c7;
-}
-TH.dirtab { background: #e8eef2;
-            font-weight: bold;
-}
-HR { height: 1px;
-     border: none;
-     border-top: 1px solid black;
+.dirtab { 
+	padding: 4px;
+	border-collapse: collapse;
+	border: 1px solid #84b0c7;
+}
+TH.dirtab { 
+	background: #e8eef2;
+	font-weight: bold;
+}
+HR { 
+	height: 1px;
+	border: none;
+	border-top: 1px solid black;
 }
 
 /* Style for detailed member documentation */
 .memtemplate {
-  font-size: 80%;
-  color: #606060;
-  font-weight: normal;
+	font-size: 80%;
+	color: #606060;
+	font-weight: normal;
+	margin-left: 3px;
 } 
 .memnav { 
-  background-color: #e8eef2;
-  border: 1px solid #84b0c7;
-  text-align: center;
-  margin: 2px;
-  margin-right: 15px;
-  padding: 2px;
+	background-color: #e8eef2;
+	border: 1px solid #84b0c7;
+	text-align: center;
+	margin: 2px;
+	margin-right: 15px;
+	padding: 2px;
 }
 .memitem {
-  padding: 4px;
-  background-color: #eef3f5;
-  border-width: 1px;
-  border-style: solid;
-  border-color: #dedeee;
-  -moz-border-radius: 8px 8px 8px 8px;
+	padding: 4px;
+	background-color: #eef3f5;
+	border-width: 1px;
+	border-style: solid;
+	border-color: #dedeee;
+	-moz-border-radius: 8px 8px 8px 8px;
 }
 .memname {
-  white-space: nowrap;
-  font-weight: bold;
+	white-space: nowrap;
+	font-weight: bold;
 }
 .memdoc{
-  padding-left: 10px;
+	padding-left: 10px;
 }
 .memproto {
-  background-color: #d5e1e8;
-  width: 100%;
-  border-width: 1px;
-  border-style: solid;
-  border-color: #84b0c7;
-  font-weight: bold;
-  -moz-border-radius: 8px 8px 8px 8px;
+	background-color: #d5e1e8;
+	width: 100%;
+	border-width: 1px;
+	border-style: solid;
+	border-color: #84b0c7;
+	font-weight: bold;
+	-moz-border-radius: 8px 8px 8px 8px;
 }
 .paramkey {
-  text-align: right;
+	text-align: right;
 }
 .paramtype {
-  white-space: nowrap;
+	white-space: nowrap;
 }
 .paramname {
-  color: #602020;
-  font-style: italic;
-  white-space: nowrap;
+	color: #602020;
+	font-style: italic;
+	white-space: nowrap;
 }
 /* End Styling for detailed member documentation */
@@ -351,8 +408,26 @@
 	margin:0.5em;
 }
-.directory { font-size: 9pt; font-weight: bold; }
-.directory h3 { margin: 0px; margin-top: 1em; font-size: 11pt; }
-.directory > h3 { margin-top: 0; }
-.directory p { margin: 0px; white-space: nowrap; }
-.directory div { display: none; margin: 0px; }
-.directory img { vertical-align: -30%; }
+.directory { 
+	font-size: 9pt; 
+	font-weight: bold; 
+}
+.directory h3 { 
+	margin: 0px; 
+	margin-top: 1em; 
+	font-size: 11pt; 
+}
+.directory > h3 { 
+	margin-top: 0; 
+}
+.directory p { 
+	margin: 0px; 
+	white-space: nowrap; 
+}
+.directory div { 
+	display: none; 
+	margin: 0px; 
+}
+.directory img { 
+	vertical-align: -30%; 
+}
+