Index: doc/html/classeprod.html
===================================================================
--- doc/html/classepdf.html (revision 106)
+++ doc/html/classeprod.html (revision 139)
@@ -1,9 +1,9 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>mixpp: epdf Class Reference</title>
+<title>mixpp: eprod Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.5.5 -->
+<!-- Generated by Doxygen 1.5.6 -->
 <div class="navigation" id="top">
   <div class="tabs">
@@ -24,65 +24,59 @@
 </div>
 <div class="contents">
-<h1>epdf Class Reference</h1><!-- doxytag: class="epdf" -->Probability density function with numerical statistics, e.g. posterior density.  
+<h1>eprod Class Reference</h1><!-- doxytag: class="eprod" --><!-- doxytag: inherits="epdf" -->Chain rule decomposition of <a class="el" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>.  
 <a href="#_details">More...</a>
 <p>
-<code>#include &lt;<a class="el" href="libBM_8h-source.html">libBM.h</a>&gt;</code>
+<code>#include &lt;<a class="el" href="emix_8h-source.html">emix.h</a>&gt;</code>
 <p>
 <div class="dynheader">
-Inheritance diagram for epdf:</div>
+Inheritance diagram for eprod:</div>
 <div class="dynsection">
-<p><center><img src="classepdf__inherit__graph.png" border="0" usemap="#epdf__inherit__map" alt="Inheritance graph"></center>
-<map name="epdf__inherit__map">
-<area shape="rect" href="classeEF.html" title="General conjugate exponential family posterior density." alt="" coords="189,84,235,108"><area shape="rect" href="classeEmp.html" title="Weighted empirical density." alt="" coords="259,84,315,108"><area shape="rect" href="classemix.html" title="Mixture of epdfs." alt="" coords="339,84,387,108"><area shape="rect" href="classeuni.html" title="Uniform distributed density on a rectangular support." alt="" coords="411,84,456,108"><area shape="rect" title="internal class for MPDF providing composition of eEmp with external components" alt="" coords="480,84,643,108"><area shape="rect" href="classegamma.html" title="Gamma posterior density." alt="" coords="5,161,77,185"><area shape="rect" href="classegiw.html" title="Gauss&#45;inverse&#45;Wishart density stored in LD form." alt="" coords="101,161,149,185"><area shape="rect" href="classenorm.html" title="Gaussian density with positive definite (decomposed) covariance matrix." alt="" coords="295,161,404,185"><area shape="rect" href="classenorm.html" title="enorm\&lt; ldmat \&gt;" alt="" coords="151,249,263,273"><area shape="rect" href="classenorm.html" title="enorm\&lt; chmat \&gt;" alt="" coords="463,249,580,273"><area shape="rect" href="classenorm.html" title="enorm\&lt; fsqmat \&gt;" alt="" coords="297,249,417,273"></map>
+<p><center><img src="classeprod__inherit__graph.png" border="0" usemap="#eprod__inherit__map" alt="Inheritance graph"></center>
+<map name="eprod__inherit__map">
+<area shape="rect" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density." alt="" coords="11,7,59,33"></map>
 <center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
 <div class="dynheader">
-Collaboration diagram for epdf:</div>
+Collaboration diagram for eprod:</div>
 <div class="dynsection">
-<p><center><img src="classepdf__coll__graph.png" border="0" usemap="#epdf__coll__map" alt="Collaboration graph"></center>
-<map name="epdf__coll__map">
-<area shape="rect" href="classRV.html" title="Class representing variables, most often random variables." alt="" coords="9,6,47,30"></map>
+<p><center><img src="classeprod__coll__graph.png" border="0" usemap="#eprod__coll__map" alt="Collaboration graph"></center>
+<map name="eprod__coll__map">
+<area shape="rect" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density." alt="" coords="11,103,59,129"><area shape="rect" href="classRV.html" title="Class representing variables, most often random variables." alt="" coords="16,7,53,33"></map>
 <center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
 
 <p>
-<a href="classepdf-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
+<a href="classeprod-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d8eb760037b3bad5a0d64081606697cd"></a><!-- doxytag: member="epdf::epdf" ref="d8eb760037b3bad5a0d64081606697cd" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#d8eb760037b3bad5a0d64081606697cd">epdf</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default constructor <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c95b1a27a8dd9507bb9a5a3cb2809c7a"></a><!-- doxytag: member="epdf::epdf" ref="c95b1a27a8dd9507bb9a5a3cb2809c7a" args="(const RV &amp;rv0)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#c95b1a27a8dd9507bb9a5a3cb2809c7a">epdf</a> (const <a class="el" href="classRV.html">RV</a> &amp;rv0)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default constructor <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#8019654e494bf5e458f6fb947e11b262">sample</a> () const =0</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the required moment of the <a class="el" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>.  <a href="#8019654e494bf5e458f6fb947e11b262"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7b3523bce1de49f58afe7c1e428cc4fd"></a><!-- doxytag: member="epdf::sample" ref="7b3523bce1de49f58afe7c1e428cc4fd" args="(int N) const " -->
-virtual mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#7b3523bce1de49f58afe7c1e428cc4fd">sample</a> (int N) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="54d7dd53a641b618771cd9bee135181f"></a><!-- doxytag: member="eprod::sampleN" ref="54d7dd53a641b618771cd9bee135181f" args="(int N) const " -->
+virtual mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#54d7dd53a641b618771cd9bee135181f">sampleN</a> (int N) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns N samples from density <img class="formulaInl" alt="$epdf(rv)$" src="form_59.png">. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3ea597362e11a0040fe7c990269d072c"></a><!-- doxytag: member="epdf::eval" ref="3ea597362e11a0040fe7c990269d072c" args="(const vec &amp;val) const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3ea597362e11a0040fe7c990269d072c"></a><!-- doxytag: member="eprod::eval" ref="3ea597362e11a0040fe7c990269d072c" args="(const vec &amp;val) const " -->
 virtual double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#3ea597362e11a0040fe7c990269d072c">eval</a> (const vec &amp;val) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute probability of argument <code>val</code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6aef3eca74899692503769c18add1a4c"></a><!-- doxytag: member="epdf::evalpdflog" ref="6aef3eca74899692503769c18add1a4c" args="(const vec &amp;val) const =0" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6aef3eca74899692503769c18add1a4c"></a><!-- doxytag: member="eprod::evalpdflog" ref="6aef3eca74899692503769c18add1a4c" args="(const vec &amp;val) const =0" -->
 virtual double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#6aef3eca74899692503769c18add1a4c">evalpdflog</a> (const vec &amp;val) const =0</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute log-probability of argument <code>val</code>. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf0a070a8f3e67a93604ca724638b870"></a><!-- doxytag: member="epdf::mean" ref="bf0a070a8f3e67a93604ca724638b870" args="() const =0" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf0a070a8f3e67a93604ca724638b870"></a><!-- doxytag: member="eprod::mean" ref="bf0a070a8f3e67a93604ca724638b870" args="() const =0" -->
 virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#bf0a070a8f3e67a93604ca724638b870">mean</a> () const =0</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">return expected value <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0a322dd106f04c0a2915e3d4f4227396"></a><!-- doxytag: member="epdf::~epdf" ref="0a322dd106f04c0a2915e3d4f4227396" args="()" -->
-virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#0a322dd106f04c0a2915e3d4f4227396">~epdf</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destructor for future use;. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b89143f12c9b49282e30841e4fb5f337"></a><!-- doxytag: member="epdf::_rv" ref="b89143f12c9b49282e30841e4fb5f337" args="() const " -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b89143f12c9b49282e30841e4fb5f337"></a><!-- doxytag: member="eprod::_rv" ref="b89143f12c9b49282e30841e4fb5f337" args="() const " -->
 <a class="el" href="classRV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#b89143f12c9b49282e30841e4fb5f337">_rv</a> () const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
 <tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="74da992e3f5d598da8850b646b79b9d9"></a><!-- doxytag: member="epdf::rv" ref="74da992e3f5d598da8850b646b79b9d9" args="" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5307a27aaf48be8213294b05ac533c39"></a><!-- doxytag: member="eprod::epdfs" ref="5307a27aaf48be8213294b05ac533c39" args="" -->
+Array&lt; <a class="el" href="classepdf.html">epdf</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>epdfs</b></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a4387c81276ca66c1ca9336cf8bf74a8"></a><!-- doxytag: member="eprod::mpdfs" ref="a4387c81276ca66c1ca9336cf8bf74a8" args="" -->
+Array&lt; <a class="el" href="classmpdf.html">mpdf</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>mpdfs</b></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="74da992e3f5d598da8850b646b79b9d9"></a><!-- doxytag: member="eprod::rv" ref="74da992e3f5d598da8850b646b79b9d9" args="" -->
 <a class="el" href="classRV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classepdf.html#74da992e3f5d598da8850b646b79b9d9">rv</a></td></tr>
 
@@ -90,6 +84,8 @@
 </table>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
-Probability density function with numerical statistics, e.g. posterior density. <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="8019654e494bf5e458f6fb947e11b262"></a><!-- doxytag: member="epdf::sample" ref="8019654e494bf5e458f6fb947e11b262" args="() const =0" -->
+Chain rule decomposition of <a class="el" href="classepdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>. 
+<p>
+<hr><h2>Member Function Documentation</h2>
+<a class="anchor" name="8019654e494bf5e458f6fb947e11b262"></a><!-- doxytag: member="eprod::sample" ref="8019654e494bf5e458f6fb947e11b262" args="() const =0" -->
 <div class="memitem">
 <div class="memproto">
@@ -100,5 +96,5 @@
           <td class="paramname">          </td>
           <td>&nbsp;)&nbsp;</td>
-          <td width="100%"> const<code> [pure virtual]</code></td>
+          <td> const<code> [pure virtual, inherited]</code></td>
         </tr>
       </table>
@@ -112,14 +108,14 @@
 <p>Implemented in <a class="el" href="classemix.html#0650601f24e633e0ab09aa1e46c14483">emix</a>, <a class="el" href="classenorm.html#60b47544f6181ffd4530d3e415ce12c5">enorm&lt; sq_T &gt;</a>, <a class="el" href="classegiw.html#3d2c1f2ba0f9966781f1e0ae695e8a6f">egiw</a>, <a class="el" href="classegamma.html#8e10c0021b5dfdd9cb62c6959b5ef425">egamma</a>, <a class="el" href="classeuni.html#4a0e09392be17beaee120ba98fc038cd">euni</a>, <a class="el" href="classeEmp.html#83f9283f92b805508d896479dc1ccf12">eEmp</a>, <a class="el" href="classenorm.html#60b47544f6181ffd4530d3e415ce12c5">enorm&lt; ldmat &gt;</a>, <a class="el" href="classenorm.html#60b47544f6181ffd4530d3e415ce12c5">enorm&lt; chmat &gt;</a>, and <a class="el" href="classenorm.html#60b47544f6181ffd4530d3e415ce12c5">enorm&lt; fsqmat &gt;</a>.</p>
 
-<p>Referenced by <a class="el" href="libBM_8cpp-source.html#l00074">sample()</a>, <a class="el" href="libBM_8h-source.html#l00169">mpdf::samplecond()</a>, <a class="el" href="libPF_8cpp-source.html#l00035">PF::set_est()</a>, and <a class="el" href="libEF_8cpp-source.html#l00222">eEmp::set_parameters()</a>.</p>
+<p>Referenced by <a class="el" href="libBM_8h-source.html#l00169">mpdf::samplecond()</a>, <a class="el" href="libPF_8cpp-source.html#l00035">PF::set_est()</a>, and <a class="el" href="libEF_8cpp-source.html#l00223">eEmp::set_parameters()</a>.</p>
 
 </div>
 </div><p>
-<hr>The documentation for this class was generated from the following files:<ul>
-<li>work/mixpp/bdm/stat/<a class="el" href="libBM_8h-source.html">libBM.h</a><li>work/mixpp/bdm/stat/libBM.cpp</ul>
+<hr>The documentation for this class was generated from the following file:<ul>
+<li>work/mixpp/bdm/stat/<a class="el" href="emix_8h-source.html">emix.h</a></ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Fri May 9 23:06:41 2008 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Sat Aug 16 11:58:52 2008 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.5 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
 </body>
 </html>