Index: doc/latex/libDC_8h__dep__incl.eps
===================================================================
--- doc/latex/libDC_8h__dep__incl.eps (revision 106)
+++ doc/latex/libDC_8h__dep__incl.eps (revision 140)
@@ -1,5 +1,5 @@
-%!PS-Adobe-2.0
-%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
-%%For: (smidl) Vasek Smidl,,,
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%For: (smidl) Vaclav Smidl,,,
 %%Title: G
 %%Pages: (atend)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 814 232
+%%PageBoundingBox: 36 36 1072 298
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 778 196 boxprim clip newpath
+36 36 1036 262 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 280 168 moveto
-280 187 lineto
-427 187 lineto
-427 168 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 280 168 moveto
-280 187 lineto
-427 187 lineto
-427 168 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-287.75 173.25 moveto 130.5 (work/mixpp/bdm/math/libDC.h) alignedtext
+newpath 389 232 moveto
+389 253 lineto
+549 253 lineto
+549 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 389 232 moveto
+389 253 lineto
+549 253 lineto
+549 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+397 239.5 moveto 144 (work/mixpp/bdm/math/libDC.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 381 113 521 131 ]
+[ /Rect [ 293 175 441 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 381 112 moveto
-381 131 lineto
-521 131 lineto
-521 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 381 112 moveto
-381 131 lineto
-521 131 lineto
-521 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-389.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
+newpath 293 174 moveto
+293 195 lineto
+442 195 lineto
+442 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 293 174 moveto
+293 195 lineto
+442 195 lineto
+442 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+300.5 181.5 moveto 133 (work/mixpp/bdm/stat/libEF.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,449 +236,586 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 380 163 moveto
-398 153 421 139 435 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 378.042 160.084 moveto
-371 168 lineto
-381.441 166.203 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 378.042 160.084 moveto
-371 168 lineto
-381.441 166.203 lineto
+newpath 440 227 moveto
+423 216 400 204 385 195 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 438.56 230.2 moveto
+449 232 lineto
+441.96 224.08 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 438.56 230.2 moveto
+449 232 lineto
+441.96 224.08 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 340 117 496 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libPF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 340 116 moveto
+340 137 lineto
+497 137 lineto
+497 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 340 116 moveto
+340 137 lineto
+497 137 lineto
+497 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+347.5 123.5 moveto 141 (work/mixpp/bdm/estim/libPF.h) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 465 222 moveto
+462 207 457 189 450 174 curveto
+443 160 433 146 426 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 461.61 222.88 moveto
+467 232 lineto
+468.47 221.51 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 461.61 222.88 moveto
+467 232 lineto
+468.47 221.51 lineto
+closepath stroke
+grestore
+% Node12
+gsave
+[ /Rect [ 561 175 727 195 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 561 174 moveto
+561 195 lineto
+727 195 lineto
+727 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 561 174 moveto
+561 195 lineto
+727 195 lineto
+727 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+569 181.5 moveto 150 (work/mixpp/bdm/math/chmat.h) alignedtext
+grestore
+% Node1->Node12
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 512 229 moveto
+543 218 586 204 614 195 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 510.57 225.77 moveto
+502 232 lineto
+512.58 232.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 510.57 225.77 moveto
+502 232 lineto
+512.58 232.48 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 170 117 322 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 170 116 moveto
+170 137 lineto
+322 137 lineto
+322 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 170 116 moveto
+170 137 lineto
+322 137 lineto
+322 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+178 123.5 moveto 136 (work/mixpp/bdm/estim/arx.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 335 170 moveto
+313 159 285 146 267 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 333.44 173.14 moveto
+344 174 lineto
+336.28 166.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 333.44 173.14 moveto
+344 174 lineto
+336.28 166.74 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 566 117 722 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 566 116 moveto
+566 137 lineto
+723 137 lineto
+723 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 566 116 moveto
+566 137 lineto
+723 137 lineto
+723 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+573.5 123.5 moveto 141 (work/mixpp/bdm/estim/libKF.h) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 430 172 moveto
+480 161 550 146 596 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 429.12 168.61 moveto
+420 174 lineto
+430.49 175.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 429.12 168.61 moveto
+420 174 lineto
+430.49 175.47 lineto
+closepath stroke
+grestore
+% Node2->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 384 166 moveto
+392 156 402 145 409 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 380.95 164.17 moveto
+377 174 lineto
+386.22 168.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 380.95 164.17 moveto
+377 174 lineto
+386.22 168.78 lineto
+closepath stroke
+grestore
+% Node11
+gsave
+[ /Rect [ 0 117 152 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($emix_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+152 137 lineto
+152 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+152 137 lineto
+152 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8 123.5 moveto 136 (work/mixpp/bdm/stat/emix.h) alignedtext
+grestore
+% Node2->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 302 172 moveto
+248 161 175 146 126 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 301.51 175.47 moveto
+312 174 lineto
+302.88 168.61 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 301.51 175.47 moveto
+312 174 lineto
+302.88 168.61 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 104 59 288 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var__arx_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 104 58 moveto
+104 79 lineto
+289 79 lineto
+289 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 104 58 moveto
+104 79 lineto
+289 79 lineto
+289 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+111.5 65.5 moveto 169 (work/mixpp/pmsm/sim_var_arx.cpp) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 229 108 moveto
+221 98 211 87 205 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 226.78 110.78 moveto
+236 116 lineto
+232.05 106.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 226.78 110.78 moveto
+236 116 lineto
+232.05 106.17 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 344 59 528 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__templ_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 344 58 moveto
+344 79 lineto
+528 79 lineto
+528 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 344 58 moveto
+344 79 lineto
+528 79 lineto
+528 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+352 65.5 moveto 168 (work/mixpp/bdm/estim/ekf_templ.h) alignedtext
+grestore
+% Node5->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 594 113 moveto
+557 102 506 88 472 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 593.42 116.48 moveto
+604 116 lineto
+595.43 109.77 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 593.42 116.48 moveto
+604 116 lineto
+595.43 109.77 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 296 57 442 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libPF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 296 56 moveto
-296 75 lineto
-443 75 lineto
-443 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 296 56 moveto
-296 75 lineto
-443 75 lineto
-443 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-303.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
-grestore
-% Node1->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 355 158 moveto
-359 133 365 93 368 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 351.512 157.701 moveto
-354 168 lineto
-358.478 158.398 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 351.512 157.701 moveto
-354 168 lineto
-358.478 158.398 lineto
-closepath stroke
-grestore
-% Node10
-gsave
-[ /Rect [ 160 113 310 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 160 112 moveto
-160 131 lineto
-310 131 lineto
-310 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 160 112 moveto
-160 131 lineto
-310 131 lineto
-310 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-167.875 117.25 moveto 134.25 (work/mixpp/bdm/math/chmat.h) alignedtext
-grestore
-% Node1->Node10
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 323 164 moveto
-301 154 272 140 254 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 321.44 167.137 moveto
-332 168 lineto
-324.283 160.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 321.44 167.137 moveto
-332 168 lineto
-324.283 160.74 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 616 57 754 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($arx_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 616 56 moveto
-616 75 lineto
-755 75 lineto
-755 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 616 56 moveto
-616 75 lineto
-755 75 lineto
-755 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-623.5 61.25 moveto 123 (work/mixpp/bdm/estim/arx.h) alignedtext
-grestore
-% Node2->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 503 110 moveto
-547 100 608 84 647 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 502.119 106.607 moveto
-493 112 lineto
-503.492 113.471 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 502.119 106.607 moveto
-493 112 lineto
-503.492 113.471 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 132 57 278 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 132 56 moveto
-132 75 lineto
-279 75 lineto
-279 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 132 56 moveto
-132 75 lineto
-279 75 lineto
-279 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-139.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
-grestore
-% Node2->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 397 110 moveto
-351 100 286 84 244 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 396.508 113.471 moveto
-407 112 lineto
-397.881 106.607 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 396.508 113.471 moveto
-407 112 lineto
-397.881 106.607 lineto
-closepath stroke
-grestore
-% Node2->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 428 106 moveto
-413 96 394 83 382 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 425.9 108.8 moveto
-436 112 lineto
-430.1 103.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 425.9 108.8 moveto
-436 112 lineto
-430.1 103.2 lineto
+[ /Rect [ 864 59 1028 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 864 58 moveto
+864 79 lineto
+1028 79 lineto
+1028 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 864 58 moveto
+864 79 lineto
+1028 79 lineto
+1028 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+872 65.5 moveto 148 (work/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node5->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 712 114 moveto
+767 103 843 88 894 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 711.12 110.61 moveto
+702 116 lineto
+712.49 117.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 711.12 110.61 moveto
+702 116 lineto
+712.49 117.47 lineto
 closepath stroke
 grestore
 % Node9
 gsave
-[ /Rect [ 460 57 598 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($emix_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 460 56 moveto
-460 75 lineto
-599 75 lineto
-599 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 460 56 moveto
-460 75 lineto
-599 75 lineto
-599 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-467.5 61.25 moveto 123 (work/mixpp/bdm/stat/emix.h) alignedtext
-grestore
-% Node2->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 473 106 moveto
-487 96 505 83 516 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 470.9 103.2 moveto
-465 112 lineto
-475.1 108.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 470.9 103.2 moveto
-465 112 lineto
-475.1 108.8 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 600 1 770 19 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($sim__var__arx_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 600 0 moveto
-600 19 lineto
-771 19 lineto
-771 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 600 0 moveto
-600 19 lineto
-771 19 lineto
-771 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-607.75 5.25 moveto 154.5 (work/mixpp/pmsm/sim_var_arx.cpp) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 685 46 moveto
-685 37 685 26 685 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 681.5 46 moveto
-685 56 lineto
-688.5 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 681.5 46 moveto
-685 56 lineto
-688.5 46 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 294 1 444 19 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 294 0 moveto
-294 19 lineto
-445 19 lineto
-445 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 294 0 moveto
-294 19 lineto
-445 19 lineto
-445 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-301.5 5.25 moveto 135 (work/mixpp/pmsm/sim_var.cpp) alignedtext
-grestore
-% Node5->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 244 53 moveto
-274 43 316 28 343 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 242.573 49.7741 moveto
-234 56 lineto
-244.584 56.4788 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 242.573 49.7741 moveto
-234 56 lineto
-244.584 56.4788 lineto
+[ /Rect [ 546 59 846 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 546 58 moveto
+546 79 lineto
+847 79 lineto
+847 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 546 58 moveto
+546 79 lineto
+847 79 lineto
+847 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+553.5 65.5 moveto 285 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node5->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 661 108 moveto
+669 98 680 87 687 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 657.95 106.17 moveto
+654 116 lineto
+663.22 110.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 657.95 106.17 moveto
+654 116 lineto
+663.22 110.78 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 0 1 276 19 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 0 0 moveto
-0 19 lineto
-276 19 lineto
-276 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 0 moveto
-0 19 lineto
-276 19 lineto
-276 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-7.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
-grestore
-% Node5->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 185 49 moveto
-173 40 159 27 149 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 183.169 52.0489 moveto
-193 56 lineto
-187.779 46.7809 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 183.169 52.0489 moveto
-193 56 lineto
-187.779 46.7809 lineto
-closepath stroke
-grestore
-% Node8->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 369 46 moveto
-369 37 369 26 369 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 365.5 46 moveto
-369 56 lineto
-372.5 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 365.5 46 moveto
-369 56 lineto
-372.5 46 lineto
-closepath stroke
-grestore
-% Node10->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 225 103 moveto
-220 94 214 82 210 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 222.084 104.958 moveto
-230 112 lineto
-228.203 101.559 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 222.084 104.958 moveto
-230 112 lineto
-228.203 101.559 lineto
+[ /Rect [ 226 1 406 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($pmsm__mix_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 226 0 moveto
+226 21 lineto
+406 21 lineto
+406 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 226 0 moveto
+226 21 lineto
+406 21 lineto
+406 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+234 7.5 moveto 164 (work/mixpp/pmsm/pmsm_mix.cpp) alignedtext
+grestore
+% Node6->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 404 54 moveto
+383 43 355 30 337 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 402.44 57.14 moveto
+413 58 lineto
+405.28 50.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 402.44 57.14 moveto
+413 58 lineto
+405.28 50.74 lineto
+closepath stroke
+grestore
+% Node10->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 378 112 moveto
+362 104 346 94 335 80 curveto
+322 62 318 36 317 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 376.44 115.14 moveto
+387 116 lineto
+379.28 108.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 376.44 115.14 moveto
+387 116 lineto
+379.28 108.74 lineto
+closepath stroke
+grestore
+% Node11->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 76 106 moveto
+78 90 82 70 95 58 curveto
+114 40 174 28 226 20 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 72.5 106 moveto
+76 116 lineto
+79.5 106 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 72.5 106 moveto
+76 116 lineto
+79.5 106 lineto
+closepath stroke
+grestore
+% Node12->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 644 164 moveto
+644 154 644 144 644 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 640.5 164 moveto
+644 174 lineto
+647.5 164 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 640.5 164 moveto
+644 174 lineto
+647.5 164 lineto
+closepath stroke
+grestore
+% Node12->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 682 170 moveto
+744 147 866 100 920 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 680.72 166.74 moveto
+673 174 lineto
+683.56 173.14 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 680.72 166.74 moveto
+673 174 lineto
+683.56 173.14 lineto
 closepath stroke
 grestore
@@ -690,5 +827,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 814 232
+%%BoundingBox: 36 36 1072 298
 end
 restore