Index: doc/latex/ekf__templ_8h__incl.eps
===================================================================
--- doc/latex/ekf__templ_8h__incl.eps (revision 140)
+++ doc/latex/ekf__templ_8h__incl.eps (revision 145)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 373 298
+%%PageBoundingBox: 36 36 374 298
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 337 262 boxprim clip newpath
+36 36 338 262 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 6 232 moveto
-6 253 lineto
-190 253 lineto
-190 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 6 232 moveto
-6 253 lineto
-190 253 lineto
-190 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-14 239.5 moveto 168 (work/mixpp/bdm/estim/ekf_templ.h) alignedtext
+newpath 0 232 moveto
+0 253 lineto
+199 253 lineto
+199 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 232 moveto
+0 253 lineto
+199 253 lineto
+199 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 239.5 moveto 183 (work/git/mixpp/bdm/estim/ekf_templ.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 76 175 120 195 ]
+[ /Rect [ 77 175 121 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libKF_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 76 174 moveto
-76 195 lineto
-121 195 lineto
-121 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 76 174 moveto
-76 195 lineto
-121 195 lineto
-121 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-83.5 181.5 moveto 29 (libKF.h) alignedtext
+newpath 77 174 moveto
+77 195 lineto
+122 195 lineto
+122 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 77 174 moveto
+77 195 lineto
+122 195 lineto
+122 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+84.5 181.5 moveto 29 (libKF.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 98 232 moveto
-98 224 98 214 98 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 101.5 205 moveto
-98 195 lineto
-94.5 205 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 101.5 205 moveto
-98 195 lineto
-94.5 205 lineto
+newpath 99 232 moveto
+99 224 99 214 99 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 102.5 205 moveto
+99 195 lineto
+95.5 205 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 102.5 205 moveto
+99 195 lineto
+95.5 205 lineto
 closepath stroke
 grestore
@@ -255,20 +255,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 79 0 moveto
-79 21 lineto
-154 21 lineto
-154 0 lineto
+newpath 80 0 moveto
+80 21 lineto
+155 21 lineto
+155 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 79 0 moveto
-79 21 lineto
-154 21 lineto
-154 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-86.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 80 0 moveto
+80 21 lineto
+155 21 lineto
+155 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+87.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node2->Node3
@@ -277,26 +277,26 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 76 181 moveto
-53 176 19 163 3 138 curveto
--2 129 2 125 3 116 curveto
-8 89 5 78 22 58 curveto
-35 43 53 32 70 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 72.02 27.96 moveto
-80 21 lineto
-69.42 21.46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 72.02 27.96 moveto
-80 21 lineto
-69.42 21.46 lineto
+newpath 77 181 moveto
+54 176 20 163 4 138 curveto
+-1 129 3 125 4 116 curveto
+9 89 6 78 23 58 curveto
+36 43 54 32 71 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 73.02 27.96 moveto
+81 21 lineto
+70.42 21.46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 73.02 27.96 moveto
+81 21 lineto
+70.42 21.46 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 12 117 90 137 ]
+[ /Rect [ 13 117 91 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -304,20 +304,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 12 116 moveto
-12 137 lineto
-91 137 lineto
-91 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 12 116 moveto
-12 137 lineto
-91 137 lineto
-91 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-19.5 123.5 moveto 63 (../stat/libFN.h) alignedtext
+newpath 13 116 moveto
+13 137 lineto
+92 137 lineto
+92 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 13 116 moveto
+13 137 lineto
+92 137 lineto
+92 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+20.5 123.5 moveto 63 (../stat/libFN.h) alignedtext
 grestore
 % Node2->Node4
@@ -326,23 +326,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 89 174 moveto
-82 166 73 154 65 145 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 67.8 142.9 moveto
-59 137 lineto
-62.2 147.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 67.8 142.9 moveto
-59 137 lineto
-62.2 147.1 lineto
+newpath 90 174 moveto
+83 166 74 154 66 145 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 68.8 142.9 moveto
+60 137 lineto
+63.2 147.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 68.8 142.9 moveto
+60 137 lineto
+63.2 147.1 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 108 117 184 137 ]
+[ /Rect [ 109 117 185 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -350,20 +350,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 108 116 moveto
-108 137 lineto
-184 137 lineto
-184 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 108 116 moveto
-108 137 lineto
-184 137 lineto
-184 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-116 123.5 moveto 60 (../stat/libEF.h) alignedtext
+newpath 109 116 moveto
+109 137 lineto
+185 137 lineto
+185 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 109 116 moveto
+109 137 lineto
+185 137 lineto
+185 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+117 123.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
 % Node2->Node6
@@ -372,23 +372,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 107 174 moveto
-114 165 123 154 131 145 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 134.05 146.83 moveto
-138 137 lineto
-128.78 142.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 134.05 146.83 moveto
-138 137 lineto
-128.78 142.22 lineto
+newpath 108 174 moveto
+115 165 124 154 132 145 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 135.05 146.83 moveto
+139 137 lineto
+129.78 142.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 135.05 146.83 moveto
+139 137 lineto
+129.78 142.22 lineto
 closepath stroke
 grestore
 % Node9
 gsave
-[ /Rect [ 216 117 308 137 ]
+[ /Rect [ 217 117 309 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($chmat_8h.html) >>
@@ -396,20 +396,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 216 116 moveto
-216 137 lineto
-309 137 lineto
-309 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 216 116 moveto
-216 137 lineto
-309 137 lineto
-309 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-223.5 123.5 moveto 77 (../math/chmat.h) alignedtext
+newpath 217 116 moveto
+217 137 lineto
+310 137 lineto
+310 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 217 116 moveto
+217 137 lineto
+310 137 lineto
+310 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+224.5 123.5 moveto 77 (../math/chmat.h) alignedtext
 grestore
 % Node2->Node9
@@ -418,18 +418,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 121 177 moveto
-147 168 192 151 225 140 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 225.62 143.48 moveto
-234 137 lineto
-223.41 136.84 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 225.62 143.48 moveto
-234 137 lineto
-223.41 136.84 lineto
+newpath 122 177 moveto
+148 168 193 151 226 140 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 226.62 143.48 moveto
+235 137 lineto
+224.41 136.84 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 226.62 143.48 moveto
+235 137 lineto
+224.41 136.84 lineto
 closepath stroke
 grestore
@@ -439,24 +439,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 42 116 moveto
-32 102 18 76 29 58 curveto
-38 43 54 32 70 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 71.28 28.26 moveto
-79 21 lineto
-68.44 21.86 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 71.28 28.26 moveto
-79 21 lineto
-68.44 21.86 lineto
+newpath 43 116 moveto
+33 102 19 76 30 58 curveto
+39 43 55 32 71 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 72.28 28.26 moveto
+80 21 lineto
+69.44 21.86 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 72.28 28.26 moveto
+80 21 lineto
+69.44 21.86 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 38 59 88 79 ]
+[ /Rect [ 39 59 89 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -464,20 +464,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 38 58 moveto
-38 79 lineto
-89 79 lineto
-89 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 38 58 moveto
-38 79 lineto
-89 79 lineto
-89 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-45.5 65.5 moveto 35 (libBM.h) alignedtext
+newpath 39 58 moveto
+39 79 lineto
+90 79 lineto
+90 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 39 58 moveto
+39 79 lineto
+90 79 lineto
+90 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+46.5 65.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node4->Node5
@@ -486,18 +486,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 53 116 moveto
-55 108 57 98 59 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 62.47 89.49 moveto
-61 79 lineto
-55.61 88.12 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 62.47 89.49 moveto
-61 79 lineto
-55.61 88.12 lineto
+newpath 54 116 moveto
+56 108 58 98 60 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 63.47 89.49 moveto
+62 79 lineto
+56.61 88.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 63.47 89.49 moveto
+62 79 lineto
+56.61 88.12 lineto
 closepath stroke
 grestore
@@ -507,18 +507,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 73 58 moveto
-81 49 91 38 100 29 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 103.05 30.83 moveto
-107 21 lineto
-97.78 26.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 103.05 30.83 moveto
-107 21 lineto
-97.78 26.22 lineto
+newpath 74 58 moveto
+82 49 92 38 101 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 104.05 30.83 moveto
+108 21 lineto
+98.78 26.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 104.05 30.83 moveto
+108 21 lineto
+98.78 26.22 lineto
 closepath stroke
 grestore
@@ -528,18 +528,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 143 116 moveto
-139 97 127 56 121 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 124.39 30.12 moveto
-119 21 lineto
-117.53 31.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 124.39 30.12 moveto
-119 21 lineto
-117.53 31.49 lineto
+newpath 144 116 moveto
+140 97 128 56 122 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 125.39 30.12 moveto
+120 21 lineto
+118.53 31.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 125.39 30.12 moveto
+120 21 lineto
+118.53 31.49 lineto
 closepath stroke
 grestore
@@ -549,23 +549,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 130 116 moveto
-118 107 100 94 85 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 87.1 82.2 moveto
-77 79 lineto
-82.9 87.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 87.1 82.2 moveto
-77 79 lineto
-82.9 87.8 lineto
+newpath 131 116 moveto
+119 107 101 94 86 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 88.1 82.2 moveto
+78 79 lineto
+83.9 87.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 88.1 82.2 moveto
+78 79 lineto
+83.9 87.8 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 234 59 320 79 ]
+[ /Rect [ 235 59 321 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -573,20 +573,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 234 58 moveto
-234 79 lineto
-321 79 lineto
-321 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 234 58 moveto
-234 79 lineto
-321 79 lineto
-321 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-241.5 65.5 moveto 71 (../math/libDC.h) alignedtext
+newpath 235 58 moveto
+235 79 lineto
+322 79 lineto
+322 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 235 58 moveto
+235 79 lineto
+322 79 lineto
+322 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+242.5 65.5 moveto 71 (../math/libDC.h) alignedtext
 grestore
 % Node6->Node7
@@ -595,23 +595,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 171 116 moveto
-192 106 222 93 245 83 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 246.28 86.26 moveto
-254 79 lineto
-243.44 79.86 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 246.28 86.26 moveto
-254 79 lineto
-243.44 79.86 lineto
+newpath 172 116 moveto
+193 106 223 93 246 83 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 247.28 86.26 moveto
+255 79 lineto
+244.44 79.86 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 247.28 86.26 moveto
+255 79 lineto
+244.44 79.86 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 144 59 216 79 ]
+[ /Rect [ 145 59 217 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -619,20 +619,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 144 58 moveto
-144 79 lineto
-216 79 lineto
-216 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 144 58 moveto
-144 79 lineto
-216 79 lineto
-216 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-152 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 145 58 moveto
+145 79 lineto
+217 79 lineto
+217 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 145 58 moveto
+145 79 lineto
+217 79 lineto
+217 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+153 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node6->Node8
@@ -641,18 +641,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 153 116 moveto
-157 108 164 97 169 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 172.2 89.44 moveto
-174 79 lineto
-166.08 86.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 172.2 89.44 moveto
-174 79 lineto
-166.08 86.04 lineto
+newpath 154 116 moveto
+158 108 165 97 170 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 173.2 89.44 moveto
+175 79 lineto
+167.08 86.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 173.2 89.44 moveto
+175 79 lineto
+167.08 86.04 lineto
 closepath stroke
 grestore
@@ -662,18 +662,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 246 58 moveto
-220 48 182 34 154 24 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 154.58 20.52 moveto
-144 21 lineto
-152.57 27.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 154.58 20.52 moveto
-144 21 lineto
-152.57 27.23 lineto
+newpath 247 58 moveto
+221 48 183 34 155 24 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 155.58 20.52 moveto
+145 21 lineto
+153.57 27.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155.58 20.52 moveto
+145 21 lineto
+153.57 27.23 lineto
 closepath stroke
 grestore
@@ -683,18 +683,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 168 58 moveto
-158 49 145 37 134 28 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 136.55 25.6 moveto
-127 21 lineto
-131.6 30.55 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 136.55 25.6 moveto
-127 21 lineto
-131.6 30.55 lineto
+newpath 169 58 moveto
+159 49 146 37 135 28 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.55 25.6 moveto
+128 21 lineto
+132.6 30.55 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.55 25.6 moveto
+128 21 lineto
+132.6 30.55 lineto
 closepath stroke
 grestore
@@ -704,19 +704,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 286 116 moveto
-312 103 346 80 329 58 curveto
-308 33 220 20 164 15 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 164.3 11.51 moveto
-154 14 lineto
-163.6 18.48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 164.3 11.51 moveto
-154 14 lineto
-163.6 18.48 lineto
+newpath 287 116 moveto
+313 103 347 80 330 58 curveto
+309 33 221 20 165 15 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 165.3 11.51 moveto
+155 14 lineto
+164.6 18.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 165.3 11.51 moveto
+155 14 lineto
+164.6 18.48 lineto
 closepath stroke
 grestore
@@ -726,18 +726,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 265 116 moveto
-267 108 270 98 272 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 275.47 89.49 moveto
-274 79 lineto
-268.61 88.12 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 275.47 89.49 moveto
-274 79 lineto
-268.61 88.12 lineto
+newpath 266 116 moveto
+268 108 271 98 273 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 276.47 89.49 moveto
+275 79 lineto
+269.61 88.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 276.47 89.49 moveto
+275 79 lineto
+269.61 88.12 lineto
 closepath stroke
 grestore
@@ -747,18 +747,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 246 116 moveto
-234 107 216 95 202 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 204.1 82.2 moveto
-194 79 lineto
-199.9 87.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 204.1 82.2 moveto
-194 79 lineto
-199.9 87.8 lineto
+newpath 247 116 moveto
+235 107 217 95 203 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 205.1 82.2 moveto
+195 79 lineto
+200.9 87.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 205.1 82.2 moveto
+195 79 lineto
+200.9 87.8 lineto
 closepath stroke
 grestore
@@ -770,5 +770,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 373 298
+%%BoundingBox: 36 36 374 298
 end
 restore